Bug 1177692 - Review Request: php-natxet-cssmin - Configurable CSS parser and minifier
Summary: Review Request: php-natxet-cssmin - Configurable CSS parser and minifier
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-29 21:43 UTC by Adam Williamson (Fedora)
Modified: 2020-05-30 13:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-30 13:43:24 UTC
Type: ---
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (10.26 KB, text/plain)
2015-01-25 08:42 UTC, Remi Collet
no flags Details
review.txt (8.34 KB, text/plain)
2015-01-25 08:43 UTC, Remi Collet
no flags Details

Description Adam Williamson (Fedora) 2014-12-29 21:43:09 UTC
Spec URL: https://www.happyassassin.net/reviews/php-natxet-cssmin/php-natxet-cssmin.spec
SRPM URL: https://www.happyassassin.net/reviews/php-natxet-cssmin/php-natxet-cssmin-3.0.3-0.1.20141229git8883d28.fc22.src.rpm
Description: CssMin is a css parser and minifier. It minifies css by removing unneeded whitespace character, comments, empty blocks and empty declarations. In addition declaration values can get rewritten to shorter notation if available. The minification if configurable.
Fedora Account System Username: adamwill

Comment 1 Adam Williamson (Fedora) 2014-12-29 21:44:21 UTC
Remi, feel like helping me out? :) This is another dep for ownCloud 8.x.

Comment 2 Adam Williamson (Fedora) 2014-12-29 21:57:04 UTC
Decided I prefer this as a post-release snapshot not a pre-release snapshot, new SRPM URL: https://www.happyassassin.net/reviews/php-natxet-cssmin/php-natxet-cssmin-3.0.2-1.20141229git8883d28.fc22.src.rpm . spec URL unchanged.

Comment 3 Remi Collet 2015-01-25 08:42:48 UTC
Created attachment 983936 [details]
phpci.log

phpCompatInfo version 3.7.2 static analyze results

Comment 4 Remi Collet 2015-01-25 08:43:13 UTC
Created attachment 983937 [details]
review.txt

Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14

Comment 5 Remi Collet 2015-01-25 08:44:10 UTC
Single blocker (trivial fix).

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/php/natxet

Comment 6 Adam Williamson 2015-02-21 20:11:54 UTC
Sorry for the delay, fixed now. I changed my mind about the versioning too (made it 3.0.2 post-release not 3.0.3 pre-release, as we have no idea what upstream's versioning plan is).

https://www.happyassassin.net/reviews/php-natxet-cssmin/php-natxet-cssmin.spec
https://www.happyassassin.net/reviews/php-natxet-cssmin/php-natxet-cssmin-3.0.2-1.20141229git8883d28.fc22.src.rpm

Comment 7 Remi Collet 2015-02-22 07:37:18 UTC
-%{_datadir}/php/%{packagist_owner}/%{packagist_name}
+%{_datadir}/php/%{packagist_owner}


Blocker fixed.

=== APPROVED ===

Comment 8 Adam Williamson (Fedora) 2015-02-23 18:50:02 UTC
New Package SCM Request
=======================
Package Name: php-natxet-cssmin
Short Description: Configurable CSS parser and minifier
Upstream URL: https://github.com/natxet/CssMin
Owners: 
Branches: f20 f21 f22 el6 epel7
InitialCC:

Comment 9 Gwyn Ciesla 2015-02-23 20:46:08 UTC
No owners listed.

Comment 10 Adam Williamson 2015-02-23 20:48:24 UTC
christ, this bureaucracy is so ridiculous. clearly, the person who filed the damn review request is an owner. why do we still have this ludicrous system?

Comment 11 Adam Williamson (Fedora) 2015-02-23 20:49:41 UTC
New Package SCM Request
=======================
Package Name: php-natxet-cssmin
Short Description: Configurable CSS parser and minifier
Upstream URL: https://github.com/natxet/CssMin
Owners: adamwill
Branches: f20 f21 f22 el6 epel7
InitialCC:

Comment 12 Gwyn Ciesla 2015-02-23 20:58:14 UTC
Git done (by process-git-requests).

Comment 13 Mattia Verga 2020-05-30 13:43:24 UTC
This package was approved and imported in repositories, but this review ticket was never closed.
I'm closing it now.


Note You need to log in before you can comment on or make changes to this bug.